/* FILE: oc.h                    -*-Mode: c++-*-
 *
 *	The OOMMF Core extension public header file.
 *
 * NOTICE: Please see the file ../../LICENSE
 *
 * Last modified on: $Date: 1999/10/20 21:03:24 $
 * Last modified by: $Author: dgp $
 */

#ifndef _OC
#define _OC

#define OC_STRINGIFY(x) OC_STRINGIFY1(x)
#define OC_STRINGIFY1(x) #x

#define OC_VERSION "1.0.1.3"

/* Header containing macros and typedefs describing the platform */
#include "port.h"

/* Prototypes imported from other extensions and libraries */
#include "imports.h"

/* Prototypes of functions in this extension */
#include "functions.h"
#include "messages.h"
#include "nullchannel.h"

/* Declarations of classes in this extension */
#include "autobuf.h"

/* End includes */     /* Optional directive to pimake */

/* Check that the Tcl header file matches the Tcl version
 * used in configuration (notably library selection).  Otherwise
 * a mismatch may lead to mysterious pointer problems (Segmentation
 * fault).
 */

#if ((TCL_MAJOR_VERSION != CONFIG_TCL_MAJOR_VERSION) \
        || (TCL_MINOR_VERSION != CONFIG_TCL_MINOR_VERSION))
#error "tcl.h version mismatch"
#endif
#if ((TK_MAJOR_VERSION != CONFIG_TK_MAJOR_VERSION) \
        || (TK_MINOR_VERSION != CONFIG_TK_MINOR_VERSION))
#error "tk.h version mismatch"
#endif

// Support for un-patched Tcl 7.5
#ifndef TCL_PATCH_LEVEL
#define TCL_PATCH_LEVEL CONFIG_TCL_PATCH_LEVEL
#define Tcl_Free free
#endif

/*
 * Provide a fake implementation of Tcl_GetStringResult for pre-8
 * Tcl libraries.
 */
#if (TCL_MAJOR_VERSION < 8)
#define Tcl_GetStringResult(interp) (interp->result)
#endif

/* Prototypes for the routines defined in oc.cc */
int Oc_Main(int,char**);
int Oc_Init(Tcl_Interp *);
void Oc_SetUseTkFlag(int);
int Oc_RegisterCommand(Tcl_Interp*,const char*,Tcl_CmdProc*);
Tcl_Interp* Oc_GlobalInterpreter();

#endif /* _OC */
